- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlLexicalHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 346 of file qxml.h.

`#include <qxml.h>`

Inheritance diagram for QXmlLexicalHandler:
[legend]

List of all members.

## Public Member Functions
virtual | ~QXmlLexicalHandler ()
virtual bool | startDTD (const QString &name, const QString &publicId, const QString &systemId)=0
virtual bool | endDTD ()=0
virtual bool | startEntity (const QString &name)=0
virtual bool | endEntity (const QString &name)=0
virtual bool | startCDATA ()=0
virtual bool | endCDATA ()=0
virtual bool | comment (const QString &ch)=0
virtual QString | errorString () const =0

## Constructor & Destructor Documentation

virtual ~QXmlLexicalHandler | ( |  | ) | `[inline, virtual]`

Definition at line 349 of file qxml.h.

    {}

## Member Function Documentation

virtual bool startDTD | ( | const QString & | name,
|  | const QString & | publicId,
|  | const QString & | systemId
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool endDTD | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool startEntity | ( | const QString & | name | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool endEntity | ( | const QString & | name | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool startCDATA | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool endCDATA | ( |  | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual bool comment | ( | const QString & | ch | ) | `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

virtual QString errorString | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QXmlDefaultHandler.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler
QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler QXmlLexicalHandler